# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Name:           kexis
Version:        0.2.2
Release:        1.4
Summary:        Lossless WAV file compressor
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          Productivity/Multimedia/Sound/Utilities
URL:            http://sourceforge.net/projects/kexis/
Source:         http://prdownloads.sourceforge.net/kexis/kexis-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kexis - A lossless WAV file compressor.

Kexis' main goal is to develop prediction and encoding schemes to minimize
compressed file size. Kexis strives to be the premier lossless sound encoder.

%prep
%setup -q -n "%{name}"

%build
export SUSE_ASNEEDED=0
%__make \
    %{?_smp_flags} \
    CC_OPTS="$RPM_OPT_FLAGS" \
    LD_OPTS="-L%{_libdir} -lm"

%install
%__install -dm 755  %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%doc *.txt docs/*.txt
%{_bindir}/kexis

%changelog
* Thu Dec  7 2006 toni@links2linux.de
- initial build 0.2.2
